;	DSBLN.CPY - SDOT-macro version of DSBLN routine
;
;	Copyright 1989 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle, 3-15-89
;
;	SI,DI,BP and DL must not be changed by SDCSP or SDUPC
;
DSBLN:	entry
	push	ES			;save pointer
	push	di
	mov	si,ES:[di]		;starting dot position
	mov	cx,ES:4[di]
	mov	di,ES:2[di]
	push	cx			;save pixel count
	SDGPM				;get pixel masks
	SDCBO				;calculate byte offset
	pop	cx
	pop	si			;SI = offset for bit data
	add	si,6
	pop	bp			;BP = segment for ES
	mov	DL,01h			;bit select mask
nxbd:	mov	ES,bp			;test if dot is drawn
	test	ES:[si],dl
	jz	short nobdt
	mov	ES,dwseg		;select display segment
	SDCSP				;set the pixel
nobdt:	rol	DL,1			;advance bit scanner
	adc	si,0			;add carry to scan adrs
	SDUPC				;move right one column
	loop	short nxbd		;loop for all pixels
	exit
;
