;	MATDEF.CPY - Transform Matrix Definitions
;
;	Copyright (C) 1988 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 2/6/88
;
matsiz	equ	66		;matrix size in bytes
pmatsz	equ	48		;4 rows x 3 columns partial size
;
;	symbols only need to store the 1st 3 columns as the
;	4th column will always be [ 0 0 0 1] in a symbol.
;
TMAT	STRUC			;identity matrix is default
m11	dd	1.0		;first column
m21	dd	0.0
m31	dd	0.0
m41	dd	0.0
m12	dd	0.0		;second column
m22	dd	1.0
m32	dd	0.0
m42	dd	0.0
m13	dd	0.0		;third column
m23	dd	0.0
m33	dd	1.0
m43	dd	0.0
m14	dd	0.0		;fourth column
m24	dd	0.0
m34	dd	0.0
m44	dd	1.0
matf	db	0		;matrix control flags
	db	0		;unused - makes even size
TMAT	ends
;

