;	XPSVC.CPY - Extended Procedure SVC Macros
;
;	Copyright 1987 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle
;
;	---------------------------------------------------------------
;	Interface Macros and definitions
;	---------------------------------------------------------------
;
dvrlvl	equ	'1'			;driver interface revision number
;
ENTRY	macro
	push	DS			;save calling DS
	mov	bp,CS			;setup local DS
	mov	DS,bp
	endm
;
EXIT	macro
	pop	DS			;restore calling DS
	db	0CBH			;RETF (but allow EXE2BIN)
	endm
;
CALLDP	macro	dwp
	db	0FFH,01EH		;call dword ptr DWP
	dw	dwp
	endm
;
SVC	macro	snr
	mov	bx,snr			;desired function #
	calldp	isvcp			;call for services
	endm
;
;	---------------------------------------------------------------
;	SVC Equates - give names TO svc CALLS
;	---------------------------------------------------------------
;
GPTRS	equ	0
GPOINT	equ	1
GLENDP	equ	2
GDISP	equ	3
GWIN	equ	4
GRVAL	equ	5
GNUM	equ	6
GSTG	equ	7
GFNAME	equ	8
FORMDS	equ	9
FORMST	equ	10
POSGC	equ	11
TSINIT	equ	12
TSEND	equ	13
TSATRB	equ	14
TSCLR	equ	15
POSTC	equ	16
TSINV	equ	17
PKWORD	equ	18
GPVAL	equ	19
GKEY	equ	20
GMKEY	equ	21
NWKEY	equ	22
SDSCN	equ	23
SDNXT	equ	24
CURFN	equ	25
EXECST	equ	26
LOOKUP	equ	27
NEWCLR	equ	28
NDECP	equ	29
SELALL	equ	30
SELECT	equ	31
STSCAN	equ	32
NXSCAN	equ	33
SCAN1	equ	34
NEXT1	equ	35
MODIFY	equ	36
ERASE	equ	37
DRAW	equ	38
MARK	equ	39
APND	equ	40
DESEL	equ	41
SUNADD	equ	42
DESELA	equ	43
SLIMIT	equ	44
ABTSEL	equ	45
STSCNA	equ	46
NXSCNA	equ	47
CESEL	equ	48
SUNMOD	equ	49
REGEN	equ	50
ZWIN	equ	51
HIDE	equ	52
SHOW	equ	53
FREEZE	equ	54
THAW	equ	55
CINFO	equ	56
LSTAT	equ	57
SETSBN	equ	58
CLRSBN	equ	59
SIN	equ	60
COS	equ	61
TAN	equ	62
ASIN	equ	63
ACOS	equ	64
ATAN	equ	65
DEG	equ	66
RAD	equ	67
DIST	equ	68
ANGLE	equ	69
PCONV	equ	70
DL2P	equ	71
NPONL	equ	72
INT2L	equ	73
TSLEN	equ	74
ANORM	equ	75
PSNAP	equ	76
CCDISP	equ	77
DPOINT	equ	80
DLINE	equ	81
DCIR	equ	82
DARC	equ	83
DFPOLY	equ	84
DTEXT	equ	85
DRAWAH	equ	86
DRWSAH	equ	87
;
SDLOG	equ	90
QDLOG	equ	91
EDLOG	equ	92
MARKITM	equ	93
INVITM	equ	94
ITMWIN	equ	95
VDLOG	equ	96
SREFP	equ	97
DYNCSR	equ	98
EDYNCSR	equ	99
;
PKPT	equ	100
PKLINE	equ	101
PKCIR	equ	102
PKARC	equ	103
PKBOX	equ	104
XCHKPT	equ	105
XCHKLN	equ	106
XCARC	equ	107
xtrp2	equ	108
xtap2	equ	109
xtrsp2	equ	110
xtasp2	equ	111
xtrdst	equ	112
xtrba2	equ	113
xtrda2	equ	114
xtspec	equ	115	;obsolete - use CTMSPC2
xaspec	equ	116
ATLINE	equ	117
PICKP	equ	118
;
SAVINH	equ	119
RBALOC	equ	120
RBREL	equ	121
RBLOCK	equ	122
RBUNLK	equ	123
RBMPTY	equ	124
RBCHG	equ	125
EMMA	equ	126
EMMR	equ	127
EMMU	equ	128
;
REPATH	equ	129
EREPATH	equ	130
;
CTMADR	equ	131
CTMI2	equ	132
CTMR2	equ	133
PRER2	equ	134
CTMS2	equ	135
PRES2	equ	136
CTMT2	equ	137
PRET2	equ	138
CTMPSH	equ	139
CTMPOP	equ	140
ETFORM	equ	141
CTMSPC2	equ	142
;
WINBKD	equ	143
EWINBKD	equ	144
I2GET	equ	145
R4GET	equ	146
EGEN	equ	147
;
LDFILE	equ	148
SINCOS	equ	149		;return 8087=sin(a) cos(a) (tos)
TED	equ	150		;text edit box ES:DI ASCIIZ string
WRFILE	equ	151		;write file ES:DI name, CX bytes ES data
RDLOGA	equ	152		;Resource Dialog #AX adrs->ES:DI
RPTEXA	equ	153		;Resource Prompt Text #AX adrs->ES:SI
;
SETCTM	equ	154		;2d/3d matrix copy to CTM (2.63)
GETCTM	equ	155		;2d/3d CTM to matrix copy (2.63)
;
GCLR	equ	156		;get color # to AX (2.64)
GLSTY	equ	157		;get line style # to AX (2.64)
GFSTY	equ	158		;get fill style # to AX (2.64)
;
SYMGEN	equ	159		;generate symbol instance (2.65)
;
;	--------------------------------------------------------------
;	3D Services starting with 5000
;	--------------------------------------------------------------
;
GPOINT3	equ	5000
GLENDP3	equ	5001
GCUBE3	equ	5002
GDISP3	equ	5003
;;;;;;	equ	5004
;
CTMI3	equ	5005
CTMS3	equ	5006
PRES3	equ	5007
CTMT3	equ	5008
PRET3	equ	5009
CTMRXY3	equ	5010
PRERXY3	equ	5011
CTMRYZ3	equ	5012
PRERYZ3	equ	5013
CTMRZX3	equ	5014
PRERZX3	equ	5015
;			(5016 ADD CTMSPC3 HERE WHEN IMPLEMENTED)
;
NORMDV3	equ	5017
NPONL3	equ	5018
DIST2P3	equ	5019
CALOA3	equ	5020
PREOA3	equ	5021
PREIA3	equ	5022
DVAVG3	equ	5023
CZLOOK	equ	5024
;
TRASP3	equ	5025	;transform 3d pt on 8087 stack
TRAP3	equ	5026	;transform 3d pt at ES:DI
TRNSP3	equ	5027	;stest transform 3d pt on 8087 stack
TRNP3	equ	5028	;stest transform 3d pt at ES:DI
;
ARCTM3	equ	5029	;ES:DI->3d arc geo; set CTM arc unit gen-> world
INTPLN	equ	5030	;spec intersection plane 8087=px,py,pz,rzx,ryz
IL3PLN	equ	5031	;calc isect with 8087=lx1,ly1,lz1,lx2,ly2,lz2 (tos)
;
CROSSP3	equ	5032	;3d cross product of two 3d vectors
CEXTRUD	equ	5033	;3d entity extrude
;
WPUSE	equ	5034	;3d workplane use
;
ADCTL	equ	5037	;animation driver control
;
