;	NDSLAST.CPY - Last code in the display driver
;
;	This allows any undefined entries to be set to unavail
;	automatically.
;
	ifndef	dslwt
DSLWT	equ	DSNADA		;select line weight
	endif
;
	ifndef	dscir
DSCIR	equ	DSNADA		;draw circle
	endif
;
	ifndef	dsarc
DSARC	equ	DSNADA		;draw arc
	endif
;
	ifndef	dsctrl
DSCTRL	equ	DSNADA		;device-specific control
	endif
;
	ifndef	sellpt
SELLPT	equ	DSNADA		;configure large prompt text
	endif
;
	ifndef	selspt
SELSPT	equ	DSNADA		;configure small prompt text
	endif
;
	ifndef	devcfg
DEVCFG	equ	DSNADA		;device-specific configuration
	endif
;
	ifndef	kstate
KSTATE	equ	DSNADA		;keyboard shift detect
	else
xfunc	=	xfunc+1
	endif
;
	ifndef	CONRDY
CONRDY	equ	DSNADA		;console chr ready
CONIN	equ	DSNADA		;read AX 16-bit chr; DL=fkey if AX=001Ch
CONOUT	equ	DSNADA		;display AX character; never fkey
	else
xfunc	=	xfunc+2
	endif
;
	ifndef	CINIT
CINIT	equ	DSNADA		;init console; revector INT 23h CTRL-C
CEND	equ	DSNADA		;end console; restore INT 23h
ASKCC	equ	DSNADA		;set carry if ctrl-C is pending (use chr)
GRDEI	equ	DSNADA		;intercept INT 10h in graphics screen
GRDER	equ	DSNADA		;restore INT 10h for DOS text screen
	else
xfunc	=	xfunc+4
	endif
;
	ifndef	TSINIT
TSINIT	equ	DSNADA		;start fast text screen use
TSEND	equ	DSNADA		;end fast text screen use
TSATRB	equ	DSNADA		;text screen output attributes
TSCLR	equ	DSNADA		;clear TS to current attribute
TSINV	equ	DSNADA		;invert TS columns attributes
TSOUT	equ	DSNADA		;send AX to fast text screen
TSPOS	equ	DSNADA		;set TS cursor to SI,DI;return SI,DI adjusted
TSGPOS	equ	DSNADA		;get TS cursor to SI,DI;AX=stgsz,DX=scrnsz
TSGET	equ	DSNADA		;get character at cpos to AX;advance cursor
TSPWST	equ	DSNADA		;pos to start of word containing cpos.
TSGETW	equ	DSNADA		;get word starting at cpos to ES:DI
TSDATA	equ	0		;point to TS data area
	else
xfunc	=	xfunc+8
	endif
;
	ifndef	chrsiz
CHRSIZ	equ	DSNADA		;size of AX: AX=stgsiz,DX=scrnsiz
	else
xfunc	=	xfunc+10h
	endif
;
	ifndef	ucase
UCASE	equ	DSNADA		;convert string ES:DI to uppercase
	else
xfunc	=	xfunc+20h
	endif
;
	ifndef	DSGVL
DSGVL	equ	DSNADA		;get character vector list
	else
xfunc	=	xfunc+40h
	endif
;
	ifndef	DSBKSP
DSBKSP	equ	DSNADA		;erase character & backspace
	else
xfunc	=	xfunc+80h
	endif
;
	ifndef	DSTED
DSTED	equ	DSNADA		;graphics screen box text edit
	else
xfunc	=	xfunc+100h
	endif
;
	ifndef	DSBLN
DSBLN	equ	DSNADA		;draw horizontal bit-line 01h leftmost
	else
xfunc	=	xfunc+200h
	endif
;
	ifndef	DSBLNR
DSBLNR	equ	DSNADA		;draw horizontal bit-line 80h leftmost
	else
xfunc	=	xfunc+400h
	endif
;
	ifndef	DSSIDE
DSSIDE	equ	DSNADA		;select normal, left or right stereo side
	else
xfunc	=	xfunc+800h
	endif
;
	ifndef	dssbgn
DSSBGN	equ	DSNADA		;3d stereo begin
	endif
;
	ifndef	dsaupd
DSAUPD	equ	DSNADA		;screen animation update
DSAEND	equ	DSNADA		;screen animation end
	else
xfunc	=	xfunc+1000h
	endif
;
	ifndef	dsabgn
DSABGN	equ	DSNADA		;screen animation begin
	endif
;
	ifndef	dsdsks
DSDSKS	equ	DSNADA		;save screen to disk
DSDSKR	equ	DSNADA		;restore screen from disk
	else
xfunc	=	xfunc+2000h
	endif
;
	ifndef	dswpal
DSRPAL	equ	DSNADA		;read 48-byte palette from driver
DSWPAL	equ	DSNADA		;write 48-byte palette to driver
	else
xfunc	=	xfunc+4000h
	endif
;
enddvr	db	0FFh		;end of driver confirm byte
dsdrv	ends
;
	end
